Description

As SpreadPort observes the Router, it joins and leaves Spread groups according to the current Subscriptions. Hence, we need to
track the number of references to each group. If it drops to zero, the Spread group shall be left.

History

#1 - 08/22/2010 12:26 AM - S. Wrede

- Status changed from New to In Progress

- % Done changed from 0 to 50

Almost functional, only issue left is that the MembershipManager class needs to be used by the Spread abstractions.

#2 - 08/22/2010 12:26 AM - S. Wrede
- File mylyn-context.zip added

#3 - 08/23/2010 06:14 PM - S. Wrede

- Status changed from In Progress to Resolved

- % Done changed from 50 to 100

MembershipManager object now used to reference count spread groups.

#4 - 08/23/2010 06:14 PM - S. Wrede
- File mylyn-context.zip added

Files

mylyn-context.zip

mylyn-context.zip

04/25/2024

193 KB 08/21/2010 S. Wrede
41.5 KB 08/23/2010 S. Wrede
